### Git log examples

```dart
var git = Git();
print(git.log.prettyOpt(PF.fuller));
print(git.log.prettyOpt('Author is => ${PP.authorName}').exec());
print(git.log.atLeast(2).prettyOpt(PF.email));
```

### Git push examples

```dart
var git = Git();
print(git.push.forceOpt().quietOpt().allOpt());
print(git.push.allOpt().to(remote: 'origin', refspec: 'master'));
print(git.push.setUpstreamOpt(remote: 'origin', refspec: 'dev'));
git.push.to(remote: 'origin', refspec: 'master').exec();
```
