part of '../../../git_assistant.dart';

/// The class Pretty Formatter selector.
class PF {
  final String name;

  const PF._(this.name);

  static const full = PF._('full');

  static const fuller = PF._('fuller');

  static const email = PF._('email');

  static const medium = PF._('medium');

  static const oneline = PF._('oneline');

  static const short = PF._('short');

  static const raw = PF._('raw');

  @override
  String toString() => name;
}

/// The class Pretty Placeholder selector.
class PP {
  final String placeholder;

  const PP._(this.placeholder);

  static const commitHash = PP._('%H');

  static const treeHash = PP._('%T');

  static const parentHashes = PP._('%P');

  static const authorName = PP._('%an');

  static const authorEmail = PP._('%ae');

  static const authorDate = PP._('%ad');

  static const committerName = PP._('%cn');

  static const committerEmail = PP._('%ce');

  static const committerDate = PP._('%cd');

  static const refName = PP._('%d');

  static const encoding = PP._('%e');

  static const subject = PP._('%s');

  static const body = PP._('%b');

  static const commitNote = PP._('%N');

  static const newLine = PP._('%n');

  @override
  String toString() => placeholder;
}
